CREATE TABLE doo_extensions_b (
    EXTENSION_ID             NUMBER(18, 0),
    EXTENSION_CODE           VARCHAR2(120)    NOT NULL,
    SCRIPT                   CLOB         ,
    BYTECODE                 BLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    VALID_FLAG               VARCHAR2(4)      NOT NULL,
    EXTENSION_ID             NUMBER(18, 0),
    EXTENSION_CODE           VARCHAR2(120)    NOT NULL,
    SCRIPT                   CLOB         ,
    BYTECODE                 BLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    VALID_FLAG               VARCHAR2(4)      NOT NULL,
    CONSTRAINT pk_doo_extensions_b PRIMARY KEY (EXTENSION_ID, EXTENSION_ID)
);
